<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * ダウンロード販売ファイル アップローダフォーム
 *
 * @package     Admin.Itemmanage.Download.Upload.Form
 * @author      netnee <>
 * @access      public
 */
class Admin_Itemmanage_Download_Upload_Form
{
    
    // コンポーネント
    var $actionChain;
    var $db_down;
    
    // タイトル
    var $title;
    var $pagename;
    
    // in 
    var $itemcd;
    var $structcd;
    
    // out
    var $result;

    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Itemmanage_Download_Upload_Formが実行されました", "Admin_Itemmanage_Download_Upload_Form#execute");
        $log->debug("imgtypediv : " . $this->imgtypediv, "Admin_Itemmanage_Download_Upload_Form#execute");
        
        
        // ダウンロード商品として登録されているかチェック
        $this->result = $this->db_down->select($this->itemcd, $this->structcd);
        if (!is_array($this->result)) {
            $errorList =& $this->actionChain->getCurErrorList();
            $errorList->add("error", "ダウンロード商品ではありません。");
            return 'input';
        }
        
        return 'success';
    }

/*
    // 既に登録されているかチェック (未作成)
    function check_file_exist()
    {
        //return $this->imgurllist[$params["gencd"]][$params["size"]];
    }
*/

}
?>
